Package weka.attributeSelection

# Interface AttributeEvaluator

All Known Implementing Classes:
  `ChiSquaredAttributeEval`, `CostSensitiveAttributeEval`, `FilteredAttributeEval`, `GainRatioAttributeEval`, `InfoGainAttributeEval`, `LatentSemanticAnalysis`, `OneRAttributeEval`, `PrincipalComponents`, `ReliefFAttributeEval`, `SVMAttributeEval`, `SymmetricalUncertAttributeEval`, `UnsupervisedAttributeEvaluator`

public interface AttributeEvaluator
Interface for classes that evaluate attributes individually.

Version:
  $Revision: 1.11 $
Author:
  Mark Hall (mhall@cs.waikato.ac.nz)

## Method Summary

Modifier and Type
Method
Description
`double`
`evaluateAttribute(int attribute)`
evaluates an individual attribute

## Method Details

### evaluateAttribute

double evaluateAttribute(int attribute) throws Exception
evaluates an individual attribute

Parameters:
  `attribute` - the index of the attribute to be evaluated
Returns:
  the "merit" of the attribute
Throws:
  `Exception` - if the attribute could not be evaluated